package cn.superdesk.uniorder.common.enums.thirdpart.jd;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 发票状态 未开
 * @Author: linjinyu
 * @CreateDate: 2021/10/21 上午10:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/21 上午10:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public enum JdInvoicedStateEnum {

	UNKNOW(-1, "UNKNOW"),
	未开(0, "未开"),
	;

	private Integer key;
	private String  desc;

	JdInvoicedStateEnum(Integer key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public Integer getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

	public static String getDesc(Integer key) {
		for (JdInvoicedStateEnum c : JdInvoicedStateEnum.values()) {
			if (c.key.equals(key)) {
				return c.getDesc();
			}
		}
		return null;
	}

	private static final Map<Integer, JdInvoicedStateEnum> LOOKUP = new HashMap<>();

	static {
		for (JdInvoicedStateEnum s : EnumSet.allOf(JdInvoicedStateEnum.class)) {
			LOOKUP.put(s.getKey(), s);
		}
	}

	public static JdInvoicedStateEnum get(Integer key) {
		return LOOKUP.get(key);
	}

	public static JdInvoicedStateEnum getByDesc(String desc) {
		for (JdInvoicedStateEnum stateEnum : JdInvoicedStateEnum.values()) {
			if (stateEnum.desc.equals(desc)) {
				return stateEnum;
			}
		}
		return JdInvoicedStateEnum.UNKNOW;
	}
}
